<?php



class ImieninyMapBuilder implements MapBuilder {

	
	const CLASS_NAME = 'lib.model.map.ImieninyMapBuilder';

	
	private $dbMap;

	
	public function isBuilt()
	{
		return ($this->dbMap !== null);
	}

	
	public function getDatabaseMap()
	{
		return $this->dbMap;
	}

	
	public function doBuild()
	{
		$this->dbMap = Propel::getDatabaseMap(ImieninyPeer::DATABASE_NAME);

		$tMap = $this->dbMap->addTable(ImieninyPeer::TABLE_NAME);
		$tMap->setPhpName('Imieniny');
		$tMap->setClassname('Imieniny');

		$tMap->setUseIdGenerator(true);

		$tMap->addPrimaryKey('ID', 'Id', 'INTEGER', true, null);

		$tMap->addColumn('DZIEN', 'Dzien', 'INTEGER', true, 2);

		$tMap->addColumn('MIESIAC', 'Miesiac', 'INTEGER', true, 2);

		$tMap->addColumn('IMIONA', 'Imiona', 'VARCHAR', true, 255);

	} 
} 