<?php

require_once(sfConfig::get('sf_lib_dir').'/filter/base/BaseFormFilterPropel.class.php');

/**
 * Imieniny filter form base class.
 *
 * @package    sam3
 * @subpackage filter
 * @author     Your name here
 */
class BaseImieninyFormFilter extends BaseFormFilterPropel
{
  public function setup()
  {
    $this->setWidgets(array(
      'dzien'   => new sfWidgetFormFilterInput(),
      'miesiac' => new sfWidgetFormFilterInput(),
      'imiona'  => new sfWidgetFormFilterInput(),
    ));

    $this->setValidators(array(
      'dzien'   => new sfValidatorSchemaFilter('text', new sfValidatorInteger(array('required' => false))),
      'miesiac' => new sfValidatorSchemaFilter('text', new sfValidatorInteger(array('required' => false))),
      'imiona'  => new sfValidatorPass(array('required' => false)),
    ));

    $this->widgetSchema->setNameFormat('imieniny_filters[%s]');

    $this->errorSchema = new sfValidatorErrorSchema($this->validatorSchema);

    parent::setup();
  }

  public function getModelName()
  {
    return 'Imieniny';
  }

  public function getFields()
  {
    return array(
      'id'      => 'Number',
      'dzien'   => 'Number',
      'miesiac' => 'Number',
      'imiona'  => 'Text',
    );
  }
}
