<?php

/**
 * DanePogodowe form base class.
 *
 * @package    sam3
 * @subpackage form
 * @author     Your name here
 */
class BaseDanePogodoweForm extends BaseFormPropel
{
  public function setup()
  {
    $this->setWidgets(array(
      'date'         => new sfWidgetFormInputHidden(),
      'delay'        => new sfWidgetFormInput(),
      'hum_in'       => new sfWidgetFormInput(),
      'temp_in'      => new sfWidgetFormInput(),
      'hum_out'      => new sfWidgetFormInput(),
      'temp_out'     => new sfWidgetFormInput(),
      'abs_pressure' => new sfWidgetFormInput(),
      'wind_ave'     => new sfWidgetFormInput(),
      'wind_gust'    => new sfWidgetFormInput(),
      'wind_dir'     => new sfWidgetFormInput(),
      'rain'         => new sfWidgetFormInput(),
      'status'       => new sfWidgetFormInput(),
    ));

    $this->setValidators(array(
      'date'         => new sfValidatorPropelChoice(array('model' => 'DanePogodowe', 'column' => 'date', 'required' => false)),
      'delay'        => new sfValidatorNumber(array('required' => false)),
      'hum_in'       => new sfValidatorNumber(array('required' => false)),
      'temp_in'      => new sfValidatorNumber(array('required' => false)),
      'hum_out'      => new sfValidatorNumber(array('required' => false)),
      'temp_out'     => new sfValidatorNumber(array('required' => false)),
      'abs_pressure' => new sfValidatorNumber(array('required' => false)),
      'wind_ave'     => new sfValidatorNumber(array('required' => false)),
      'wind_gust'    => new sfValidatorNumber(array('required' => false)),
      'wind_dir'     => new sfValidatorNumber(array('required' => false)),
      'rain'         => new sfValidatorNumber(array('required' => false)),
      'status'       => new sfValidatorNumber(array('required' => false)),
    ));

    $this->widgetSchema->setNameFormat('dane_pogodowe[%s]');

    $this->errorSchema = new sfValidatorErrorSchema($this->validatorSchema);

    parent::setup();
  }

  public function getModelName()
  {
    return 'DanePogodowe';
  }


}
