<?php

/**
 * Imieniny form base class.
 *
 * @package    sam3
 * @subpackage form
 * @author     Your name here
 */
class BaseImieninyForm extends BaseFormPropel
{
  public function setup()
  {
    $this->setWidgets(array(
      'id'      => new sfWidgetFormInputHidden(),
      'dzien'   => new sfWidgetFormInput(),
      'miesiac' => new sfWidgetFormInput(),
      'imiona'  => new sfWidgetFormInput(),
    ));

    $this->setValidators(array(
      'id'      => new sfValidatorPropelChoice(array('model' => 'Imieniny', 'column' => 'id', 'required' => false)),
      'dzien'   => new sfValidatorInteger(),
      'miesiac' => new sfValidatorInteger(),
      'imiona'  => new sfValidatorString(array('max_length' => 255)),
    ));

    $this->widgetSchema->setNameFormat('imieniny[%s]');

    $this->errorSchema = new sfValidatorErrorSchema($this->validatorSchema);

    parent::setup();
  }

  public function getModelName()
  {
    return 'Imieniny';
  }


}
