<?php


abstract class BaseDanePogodowePeer {

	
	const DATABASE_NAME = 'propel';

	
	const TABLE_NAME = 'dane_pogodowe';

	
	const CLASS_DEFAULT = 'lib.model.DanePogodowe';

	
	const NUM_COLUMNS = 12;

	
	const NUM_LAZY_LOAD_COLUMNS = 0;

	
	const DATE = 'dane_pogodowe.DATE';

	
	const DELAY = 'dane_pogodowe.DELAY';

	
	const HUM_IN = 'dane_pogodowe.HUM_IN';

	
	const TEMP_IN = 'dane_pogodowe.TEMP_IN';

	
	const HUM_OUT = 'dane_pogodowe.HUM_OUT';

	
	const TEMP_OUT = 'dane_pogodowe.TEMP_OUT';

	
	const ABS_PRESSURE = 'dane_pogodowe.ABS_PRESSURE';

	
	const WIND_AVE = 'dane_pogodowe.WIND_AVE';

	
	const WIND_GUST = 'dane_pogodowe.WIND_GUST';

	
	const WIND_DIR = 'dane_pogodowe.WIND_DIR';

	
	const RAIN = 'dane_pogodowe.RAIN';

	
	const STATUS = 'dane_pogodowe.STATUS';

	
	public static $instances = array();

	
	private static $mapBuilder = null;

	
	private static $fieldNames = array (
		BasePeer::TYPE_PHPNAME => array ('Date', 'Delay', 'HumIn', 'TempIn', 'HumOut', 'TempOut', 'AbsPressure', 'WindAve', 'WindGust', 'WindDir', 'Rain', 'Status', ),
		BasePeer::TYPE_STUDLYPHPNAME => array ('date', 'delay', 'humIn', 'tempIn', 'humOut', 'tempOut', 'absPressure', 'windAve', 'windGust', 'windDir', 'rain', 'status', ),
		BasePeer::TYPE_COLNAME => array (self::DATE, self::DELAY, self::HUM_IN, self::TEMP_IN, self::HUM_OUT, self::TEMP_OUT, self::ABS_PRESSURE, self::WIND_AVE, self::WIND_GUST, self::WIND_DIR, self::RAIN, self::STATUS, ),
		BasePeer::TYPE_FIELDNAME => array ('date', 'delay', 'hum_in', 'temp_in', 'hum_out', 'temp_out', 'abs_pressure', 'wind_ave', 'wind_gust', 'wind_dir', 'rain', 'status', ),
		BasePeer::TYPE_NUM => array (0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, )
	);

	
	private static $fieldKeys = array (
		BasePeer::TYPE_PHPNAME => array ('Date' => 0, 'Delay' => 1, 'HumIn' => 2, 'TempIn' => 3, 'HumOut' => 4, 'TempOut' => 5, 'AbsPressure' => 6, 'WindAve' => 7, 'WindGust' => 8, 'WindDir' => 9, 'Rain' => 10, 'Status' => 11, ),
		BasePeer::TYPE_STUDLYPHPNAME => array ('date' => 0, 'delay' => 1, 'humIn' => 2, 'tempIn' => 3, 'humOut' => 4, 'tempOut' => 5, 'absPressure' => 6, 'windAve' => 7, 'windGust' => 8, 'windDir' => 9, 'rain' => 10, 'status' => 11, ),
		BasePeer::TYPE_COLNAME => array (self::DATE => 0, self::DELAY => 1, self::HUM_IN => 2, self::TEMP_IN => 3, self::HUM_OUT => 4, self::TEMP_OUT => 5, self::ABS_PRESSURE => 6, self::WIND_AVE => 7, self::WIND_GUST => 8, self::WIND_DIR => 9, self::RAIN => 10, self::STATUS => 11, ),
		BasePeer::TYPE_FIELDNAME => array ('date' => 0, 'delay' => 1, 'hum_in' => 2, 'temp_in' => 3, 'hum_out' => 4, 'temp_out' => 5, 'abs_pressure' => 6, 'wind_ave' => 7, 'wind_gust' => 8, 'wind_dir' => 9, 'rain' => 10, 'status' => 11, ),
		BasePeer::TYPE_NUM => array (0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, )
	);

	
	public static function getMapBuilder()
	{
		if (self::$mapBuilder === null) {
			self::$mapBuilder = new DanePogodoweMapBuilder();
		}
		return self::$mapBuilder;
	}
	
	static public function translateFieldName($name, $fromType, $toType)
	{
		$toNames = self::getFieldNames($toType);
		$key = isset(self::$fieldKeys[$fromType][$name]) ? self::$fieldKeys[$fromType][$name] : null;
		if ($key === null) {
			throw new PropelException("'$name' could not be found in the field names of type '$fromType'. These are: " . print_r(self::$fieldKeys[$fromType], true));
		}
		return $toNames[$key];
	}

	

	static public function getFieldNames($type = BasePeer::TYPE_PHPNAME)
	{
		if (!array_key_exists($type, self::$fieldNames)) {
			throw new PropelException('Method getFieldNames() expects the parameter $type to be one of the class constants BasePeer::TYPE_PHPNAME, BasePeer::TYPE_STUDLYPHPNAME, BasePeer::TYPE_COLNAME, BasePeer::TYPE_FIELDNAME, BasePeer::TYPE_NUM. ' . $type . ' was given.');
		}
		return self::$fieldNames[$type];
	}

	
	public static function alias($alias, $column)
	{
		return str_replace(DanePogodowePeer::TABLE_NAME.'.', $alias.'.', $column);
	}

	
	public static function addSelectColumns(Criteria $criteria)
	{

		$criteria->addSelectColumn(DanePogodowePeer::DATE);

		$criteria->addSelectColumn(DanePogodowePeer::DELAY);

		$criteria->addSelectColumn(DanePogodowePeer::HUM_IN);

		$criteria->addSelectColumn(DanePogodowePeer::TEMP_IN);

		$criteria->addSelectColumn(DanePogodowePeer::HUM_OUT);

		$criteria->addSelectColumn(DanePogodowePeer::TEMP_OUT);

		$criteria->addSelectColumn(DanePogodowePeer::ABS_PRESSURE);

		$criteria->addSelectColumn(DanePogodowePeer::WIND_AVE);

		$criteria->addSelectColumn(DanePogodowePeer::WIND_GUST);

		$criteria->addSelectColumn(DanePogodowePeer::WIND_DIR);

		$criteria->addSelectColumn(DanePogodowePeer::RAIN);

		$criteria->addSelectColumn(DanePogodowePeer::STATUS);

	}

	
	public static function doCount(Criteria $criteria, $distinct = false, PropelPDO $con = null)
	{
				$criteria = clone $criteria;

								$criteria->setPrimaryTableName(DanePogodowePeer::TABLE_NAME);

		if ($distinct && !in_array(Criteria::DISTINCT, $criteria->getSelectModifiers())) {
			$criteria->setDistinct();
		}

		if (!$criteria->hasSelectClause()) {
			DanePogodowePeer::addSelectColumns($criteria);
		}

		$criteria->clearOrderByColumns(); 		$criteria->setDbName(self::DATABASE_NAME); 
		if ($con === null) {
			$con = Propel::getConnection(DanePogodowePeer::DATABASE_NAME, Propel::CONNECTION_READ);
		}

				$stmt = BasePeer::doCount($criteria, $con);

		if ($row = $stmt->fetch(PDO::FETCH_NUM)) {
			$count = (int) $row[0];
		} else {
			$count = 0; 		}
		$stmt->closeCursor();
		return $count;
	}
	
	public static function doSelectOne(Criteria $criteria, PropelPDO $con = null)
	{
		$critcopy = clone $criteria;
		$critcopy->setLimit(1);
		$objects = DanePogodowePeer::doSelect($critcopy, $con);
		if ($objects) {
			return $objects[0];
		}
		return null;
	}
	
	public static function doSelect(Criteria $criteria, PropelPDO $con = null)
	{
		return DanePogodowePeer::populateObjects(DanePogodowePeer::doSelectStmt($criteria, $con));
	}
	
	public static function doSelectStmt(Criteria $criteria, PropelPDO $con = null)
	{
		if ($con === null) {
			$con = Propel::getConnection(DanePogodowePeer::DATABASE_NAME, Propel::CONNECTION_READ);
		}

		if (!$criteria->hasSelectClause()) {
			$criteria = clone $criteria;
			DanePogodowePeer::addSelectColumns($criteria);
		}

				$criteria->setDbName(self::DATABASE_NAME);

				return BasePeer::doSelect($criteria, $con);
	}
	
	public static function addInstanceToPool(DanePogodowe $obj, $key = null)
	{
		if (Propel::isInstancePoolingEnabled()) {
			if ($key === null) {
				$key = (string) $obj->getDate();
			} 			self::$instances[$key] = $obj;
		}
	}

	
	public static function removeInstanceFromPool($value)
	{
		if (Propel::isInstancePoolingEnabled() && $value !== null) {
			if (is_object($value) && $value instanceof DanePogodowe) {
				$key = (string) $value->getDate();
			} elseif (is_scalar($value)) {
								$key = (string) $value;
			} else {
				$e = new PropelException("Invalid value passed to removeInstanceFromPool().  Expected primary key or DanePogodowe object; got " . (is_object($value) ? get_class($value) . ' object.' : var_export($value,true)));
				throw $e;
			}

			unset(self::$instances[$key]);
		}
	} 
	
	public static function getInstanceFromPool($key)
	{
		if (Propel::isInstancePoolingEnabled()) {
			if (isset(self::$instances[$key])) {
				return self::$instances[$key];
			}
		}
		return null; 	}
	
	
	public static function clearInstancePool()
	{
		self::$instances = array();
	}
	
	
	public static function getPrimaryKeyHashFromRow($row, $startcol = 0)
	{
				if ($row[$startcol + 0] === null) {
			return null;
		}
		return (string) $row[$startcol + 0];
	}

	
	public static function populateObjects(PDOStatement $stmt)
	{
		$results = array();
	
				$cls = DanePogodowePeer::getOMClass();
		$cls = substr('.'.$cls, strrpos('.'.$cls, '.') + 1);
				while ($row = $stmt->fetch(PDO::FETCH_NUM)) {
			$key = DanePogodowePeer::getPrimaryKeyHashFromRow($row, 0);
			if (null !== ($obj = DanePogodowePeer::getInstanceFromPool($key))) {
																$results[] = $obj;
			} else {
		
				$obj = new $cls();
				$obj->hydrate($row);
				$results[] = $obj;
				DanePogodowePeer::addInstanceToPool($obj, $key);
			} 		}
		$stmt->closeCursor();
		return $results;
	}

  static public function getUniqueColumnNames()
  {
    return array();
  }
	
	public static function getTableMap()
	{
		return Propel::getDatabaseMap(self::DATABASE_NAME)->getTable(self::TABLE_NAME);
	}

	
	public static function getOMClass()
	{
		return DanePogodowePeer::CLASS_DEFAULT;
	}

	
	public static function doInsert($values, PropelPDO $con = null)
	{
		if ($con === null) {
			$con = Propel::getConnection(DanePogodowePeer::DATABASE_NAME, Propel::CONNECTION_WRITE);
		}

		if ($values instanceof Criteria) {
			$criteria = clone $values; 		} else {
			$criteria = $values->buildCriteria(); 		}


				$criteria->setDbName(self::DATABASE_NAME);

		try {
									$con->beginTransaction();
			$pk = BasePeer::doInsert($criteria, $con);
			$con->commit();
		} catch(PropelException $e) {
			$con->rollBack();
			throw $e;
		}

		return $pk;
	}

	
	public static function doUpdate($values, PropelPDO $con = null)
	{
		if ($con === null) {
			$con = Propel::getConnection(DanePogodowePeer::DATABASE_NAME, Propel::CONNECTION_WRITE);
		}

		$selectCriteria = new Criteria(self::DATABASE_NAME);

		if ($values instanceof Criteria) {
			$criteria = clone $values; 
			$comparison = $criteria->getComparison(DanePogodowePeer::DATE);
			$selectCriteria->add(DanePogodowePeer::DATE, $criteria->remove(DanePogodowePeer::DATE), $comparison);

		} else { 			$criteria = $values->buildCriteria(); 			$selectCriteria = $values->buildPkeyCriteria(); 		}

				$criteria->setDbName(self::DATABASE_NAME);

		return BasePeer::doUpdate($selectCriteria, $criteria, $con);
	}

	
	public static function doDeleteAll($con = null)
	{
		if ($con === null) {
			$con = Propel::getConnection(DanePogodowePeer::DATABASE_NAME, Propel::CONNECTION_WRITE);
		}
		$affectedRows = 0; 		try {
									$con->beginTransaction();
			$affectedRows += BasePeer::doDeleteAll(DanePogodowePeer::TABLE_NAME, $con);
			$con->commit();
			return $affectedRows;
		} catch (PropelException $e) {
			$con->rollBack();
			throw $e;
		}
	}

	
	 public static function doDelete($values, PropelPDO $con = null)
	 {
		if ($con === null) {
			$con = Propel::getConnection(DanePogodowePeer::DATABASE_NAME, Propel::CONNECTION_WRITE);
		}

		if ($values instanceof Criteria) {
												DanePogodowePeer::clearInstancePool();

						$criteria = clone $values;
		} elseif ($values instanceof DanePogodowe) {
						DanePogodowePeer::removeInstanceFromPool($values);
						$criteria = $values->buildPkeyCriteria();
		} else {
			


			$criteria = new Criteria(self::DATABASE_NAME);
			$criteria->add(DanePogodowePeer::DATE, (array) $values, Criteria::IN);

			foreach ((array) $values as $singleval) {
								DanePogodowePeer::removeInstanceFromPool($singleval);
			}
		}

				$criteria->setDbName(self::DATABASE_NAME);

		$affectedRows = 0; 
		try {
									$con->beginTransaction();
			
			$affectedRows += BasePeer::doDelete($criteria, $con);

			$con->commit();
			return $affectedRows;
		} catch (PropelException $e) {
			$con->rollBack();
			throw $e;
		}
	}

	
	public static function doValidate(DanePogodowe $obj, $cols = null)
	{
		$columns = array();

		if ($cols) {
			$dbMap = Propel::getDatabaseMap(DanePogodowePeer::DATABASE_NAME);
			$tableMap = $dbMap->getTable(DanePogodowePeer::TABLE_NAME);

			if (! is_array($cols)) {
				$cols = array($cols);
			}

			foreach ($cols as $colName) {
				if ($tableMap->containsColumn($colName)) {
					$get = 'get' . $tableMap->getColumn($colName)->getPhpName();
					$columns[$colName] = $obj->$get();
				}
			}
		} else {

		}

		$res =  BasePeer::doValidate(DanePogodowePeer::DATABASE_NAME, DanePogodowePeer::TABLE_NAME, $columns);
    if ($res !== true) {
        $request = sfContext::getInstance()->getRequest();
        foreach ($res as $failed) {
            $col = DanePogodowePeer::translateFieldname($failed->getColumn(), BasePeer::TYPE_COLNAME, BasePeer::TYPE_PHPNAME);
        }
    }

    return $res;
	}

	
	public static function retrieveByPK($pk, PropelPDO $con = null)
	{

		if (null !== ($obj = DanePogodowePeer::getInstanceFromPool((string) $pk))) {
			return $obj;
		}

		if ($con === null) {
			$con = Propel::getConnection(DanePogodowePeer::DATABASE_NAME, Propel::CONNECTION_READ);
		}

		$criteria = new Criteria(DanePogodowePeer::DATABASE_NAME);
		$criteria->add(DanePogodowePeer::DATE, $pk);

		$v = DanePogodowePeer::doSelect($criteria, $con);

		return !empty($v) > 0 ? $v[0] : null;
	}

	
	public static function retrieveByPKs($pks, PropelPDO $con = null)
	{
		if ($con === null) {
			$con = Propel::getConnection(DanePogodowePeer::DATABASE_NAME, Propel::CONNECTION_READ);
		}

		$objs = null;
		if (empty($pks)) {
			$objs = array();
		} else {
			$criteria = new Criteria(DanePogodowePeer::DATABASE_NAME);
			$criteria->add(DanePogodowePeer::DATE, $pks, Criteria::IN);
			$objs = DanePogodowePeer::doSelect($criteria, $con);
		}
		return $objs;
	}

} 

Propel::getDatabaseMap(BaseDanePogodowePeer::DATABASE_NAME)->addTableBuilder(BaseDanePogodowePeer::TABLE_NAME, BaseDanePogodowePeer::getMapBuilder());

